Subject: Re: [PWE3] Re: Bridge or

From: Muneyoshi Suzuki <[email-masked]>
Date: Wed, 04 Dec 2002 13:43:30 +0900

> Well, I think that draft does a couple of things: 
> 1. It specifies the pseudowire encapsulation for ethernet frames. 

Agreed.

> 2. It specifies  how one uses a pseudowire  in order to emulate  a LAN which
>    has exactly  two MACs on it.  However,  the PW is not  itself an emulated
>    LAN, as the emulation includes the  NSP functionality, but the NSP is not
>    part of the PW.
> Other documents, in the PPVPN WG,  specify how to use pseudowires to emulate
> a LAN which has more than two MACs on it. 
> In  both cases,  I think  it is  probably correct  to say  that the  PEs are
> connected via an  emulated LAN, while the CEs are  connected via an emulated
> bridged LAN.  

Interesting. If the NSPs emulate a LAN:

(1) It must explicitly addressed in section 3 of the draft.

(2) Functions of the NSP must be decoupled into LAN and Bridge functions,
because, it support VLAN tagging, but this is a part of MAC Relay Entity,
especially the E-ISS sub-layer defined in section 7 of IEEE 802.1Q.

(3) The NSP must not terminate PAUSE frame, so section 3.1.5 in the draft
is incorrect.

(4) The VC type in LDP signaling must have the following parameters
to identify the LAN segment to be emulated by the NSPs.

	1BASE5
	10BROAD36
	10BASE2
	10BASE5
	10BASE-F
	10BASE-FB
	10BASE-FL
	10BASE-FP
	10BASE-T
	100BASE-FX
	100BASE-T
	100BASE-T2
	100BASE-T4
	100BASE-TX
	100BASE-X
	1000BASE-CX
	1000BASE-LX
	1000BASE-SX
	1000BASE-T
	1000BASE-X
	10GBASE-SR
	10GBASE-SW
	10GBASE-LX4
	10GBASE-LR
	10GBASE-LW
	10GBASE-ER
	10GBASE-EW

> (In the two-party case, I guess the PE has to be regarded as a
> vestigial  bridge, since it  does provide  the MAC  service, even  though it
> doesn't do any address lookups.) 

Agreed.

> But I'm still puzzled as to whether there is an actual issue here that needs
> resolution. 

I hope this helps to further clarification.

Thanks,

Muneyoshi Suzuki